=== modified file 'clean_resources.py'
--- clean_resources.py	2016-10-22 05:00:18 +0000
+++ clean_resources.py	2016-11-07 14:17:52 +0000
@@ -29,8 +29,7 @@
     env = SimpleEnvironment.from_config(args.env)
     selected_regions = get_regions(args, env)
     for region in selected_regions:
-        with AWSAccount.manager_from_config(
-                env.config, region=region) as substrate:
+        with AWSAccount.from_boot_config(env, region=region) as substrate:
             logging.info('Cleaning resources in {}.'.format(substrate.region))
             all_groups = dict(substrate.iter_security_groups())
             instance_groups = dict(substrate.iter_instance_security_groups())

=== modified file 'tests/test_clean_resources.py'
--- tests/test_clean_resources.py	2016-10-24 13:50:24 +0000
+++ tests/test_clean_resources.py	2016-11-07 14:17:52 +0000
@@ -1,6 +1,6 @@
 from argparse import Namespace
 from mock import (
-    MagicMock,
+    call,
     patch,
 )
 
@@ -56,14 +56,19 @@
 
     def asses_clean(self, all_region, call_count):
         args = Namespace(env='foo', verbose=0, all_regions=all_region)
-        clean_resources.AWSAccount = MagicMock(spec=['manager_from_config'])
-        with patch('clean_resources.SimpleEnvironment.from_config',
-                   return_value=get_aws_env()) as cr_mock:
-            clean(args)
+        env = get_aws_env()
+        with patch.object(clean_resources.AWSAccount,
+                          'from_boot_config') as fbc_mock:
+            with patch('clean_resources.SimpleEnvironment.from_config',
+                       return_value=env) as cr_mock:
+                clean(args)
         self.assertEqual(
-            clean_resources.AWSAccount.manager_from_config.call_count,
+            fbc_mock.call_count,
             call_count)
-        mfc_mock = clean_resources.AWSAccount.manager_from_config.return_value
+        regions = get_regions(args, env)
+        calls = [call(cr_mock.return_value, region=r) for r in regions]
+        self.assertEqual(fbc_mock.call_args_list, calls)
+        mfc_mock = fbc_mock.return_value
         ctx_mock = mfc_mock.__enter__.return_value
         self.assertEqual(ctx_mock.iter_security_groups.call_count, call_count)
         self.assertEqual(

